Bug 1480348 - [RFE] API to fetch list of hosts without full host details
Summary: [RFE] API to fetch list of hosts without full host details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-10 19:45 UTC by pm-sat@redhat.com
Modified: 2019-08-12 16:27 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1461194
Environment:
Last Closed: 2018-02-21 12:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20072 0 None None None 2017-08-10 19:45:59 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 2 Nikhil Kathole 2017-09-17 10:50:08 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 16

steps:

1. curl -s -X GET -k -u admin:<password>  'https://host/api/v2/hosts?thin=true'
{
  "total": 3,
  "subtotal": 3,
  "page": 1,
  "per_page": 20,
  "search": null,
  "sort": {
    "by": null,
    "order": null
  },
  "results": [{"id":1,"name":"host"},
{"id":44,"name":"doug-zeise.rhts.eng.bos.redhat.com"},
{"id":45,"name":"hope-caicedo.rhts.eng.bos.redhat.com"}]
}

Comment 5 errata-xmlrpc 2018-02-21 12:39:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.